Linux 5.19 issue with CPU capabilities

Discussion in 'Linux Guest OS Discussion' started by brad-x, Aug 10, 2022.

  1. brad-x

    brad-x Bit Poster

    Messages:
    10
    A Linux VM booted with kernel 5.19 posts an early error to the kernel ring buffer related to XSAVE - there have been recent changes to the way the kernel will call for CPU capabilities (asking for XSAVEC when in a VM on Sky Lake and later Intel CPU's per https://www.phoronix.com/news/Linux-5.19-XSAVEC-Support)

    The VM will then boot but will be missing detected CPU capabilities like AVX and PCLMUL causing seemingly random userland errors from the perspective of the user.

    I will be able to follow up with a dmesg snippet a bit later today. This was tested with Fedora and Gentoo Linux.
     
  2. HanwenZ

    HanwenZ Bit Poster

    Messages:
    4
    It's the case on Manjaro and Kali with 519. The difference is that Gnome on 519 Arch refused to start, I wonder if any other distributions have the same problem.

    journalctl:
    systemd[750]: Failed to start Application launched by gnome-session-binary.
    systemd-coredump[1294]: [] Process 807 (gnome-shell) of user 1000 dumped core.
     
  3. HanwenZ

    HanwenZ Bit Poster

    Messages:
    4
    full dumped core:
    Module linux-vdso.so.1 with build-id 0b50b426a9c09c7a3dcbd9ef2237f69a3a99a80f
    Module p11-kit-trust.so with build-id 8b539aa1d5ee1ffc32e4c6f71c132e40e09ffbb7
    Module libgmp.so.10 with build-id 26cec2ebe94cc5c4cb99e6988717347222b324fd
    Module libhogweed.so.6 with build-id 5c4a99ad0aabe13bd9b517f92ab339436a2bc1f2
    Module libnettle.so.8 with build-id 6a26cbe6819abc8c57668f80ca8c8160fd85e29e
    Module libtasn1.so.6 with build-id ee3429ca5e94718aea4fe5249fc859e0cd88e4e9
    Module libbrotlienc.so.1 with build-id 74adbc62e4fbb5da9d37b5aa458471f4130862ff
    Module libgnutls.so.30 with build-id 816201e11cc13561e1272b96a1c7cdb97ae59997
    Module libgiognutls.so with build-id 339b7ddbb749ada73d55c9e86d19a94ea38bc1d6
    Module libgiognomeproxy.so with build-id 0e9b3cc0fce9ff4a7461da6874a887a2801c57a8
    Module libgioremote-volume-monitor.so with build-id 09e0401064967de32a6cf3a0da0b371da>
    Module libcrypt.so.2 with build-id a0a45f81771945f0559d04e93726d245159930da
    Module libaccountsservice.so.0 with build-id b5d787504386723b96e65022ca1ed2e9c4a285a2
    Module libopus.so.0 with build-id 35fafc4024675e9cfe57c7d50c3965eac6bac358
    Module libFLAC.so.8 with build-id 3637a78858507a848ee0a48c50902c943e5bc58f
    Module libvorbisenc.so.2 with build-id 2b1ce7fcdcc925bc663ebe2c1c008c0dd96e5bd0
    Module libasyncns.so.0 with build-id 3ed7e52f247b08f1dff19aef6a253ee4c5c785c0
    Module libsndfile.so.1 with build-id 407b2376cac1726631e3f7360a9337901be04ec0
    Module libpulsecommon-16.1.so with build-id 17e5c781f557e60fbc789cb631816a4a29230f4a
    Module libpulse-mainloop-glib.so.0 with build-id 557c18bd5f54743e924a5b8e77bbc1b55a31>
    Module libpulse.so.0 with build-id 0c1618cb1e11cc14128914e45965433374cbd10e
    Module libgvc.so with build-id 98f8b60a48f3c180a6c72eb761afc21a624da9e0
    Module libupower-glib.so.3 with build-id 7303cc5649cb941e05197c70b6863dae83840e5f
    Module libgnome-bluetooth-3.0.so.13 with build-id 0910ae040cf33126ade2919b741c4a1569a>
    Module libgeocode-glib.so.0 with build-id 0d70e908e990d5cb0ea7a3d599db7fd0dd34ded7
    Module libgweather-4.so.0 with build-id 2b4819a76ee3b7beffd9d50b9383f91a05dcc432
    Module librsvg-2.so.2 with build-id 1cb5dfb747cdb53ba90f504acbe23de518c29ad9
    Module libpixbufloader-svg.so with build-id b496e4f240c3dd862a5fe9ad31a464e65692cc08
    Module libgdm.so.1 with build-id 5ec9d3daf2f88e4ecfb7954881b4dbd216c2961c
    Module libgeoclue-2.so.0 with build-id c4fbb36d5d77c684c563056dd5a075772a0463dc
    Module libmalcontent-0.so.0 with build-id 6b0f4053aeaf370d846874b64f1daeab457dea89
    Module libibus-1.0.so.5 with build-id 9ee6cfbac64630c1ecf356c6f72d46f932e20be8
    Module libresolv.so.2 with build-id 5c4d9f10ee9ce5e768e5b910e6b430f352a7aae1
    Module libkeyutils.so.1 with build-id ac405ddd17be10ce538da3211415ee50c8f8df79
    Module libkrb5support.so.0 with build-id 15f223925ef59dee4379ebbc0fcd14eda9ba81a2
    Module libcom_err.so.2 with build-id 3360a28740ffbbd5a5c0c21d09072445908707e5
    Module libk5crypto.so.3 with build-id cc77a742cb62447a53d98285b41558b8acd92866
     
  4. brad-x

    brad-x Bit Poster

    Messages:
    10
    I've confirmed it's the case as well with:
    • openSUSE Tumbleweed 5.19.1
    • Gentoo 5.19.1
    • Fedora 37 5.19
     

Share This Page